tez-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bikas Saha <bi...@hortonworks.com>
Subject RE: [jira] [Commented] (TEZ-787) Guava conflicts with Hadoop 2.2.0
Date Tue, 04 Feb 2014 02:49:16 GMT
Rajesh,

Can you please comment directly on the jira? That will help us prioritize
the fix.

Thanks
Bikas

-----Original Message-----
From: Rajesh Balamohan [mailto:rajesh.balamohan@gmail.com]
Sent: Monday, February 03, 2014 6:23 PM
To: dev@tez.incubator.apache.org
Subject: Re: [jira] [Commented] (TEZ-787) Guava conflicts with Hadoop 2.2.0

Hive has the similar issue.   I tried to run hive-testbench with tez trunk
and I got similar issue as well.
On Feb 4, 2014 7:47 AM, "Gunther Hagleitner (JIRA)" <jira@apache.org> wrote:

>
>     [
> https://issues.apache.org/jira/browse/TEZ-787?page=com.atlassian.jira.
> plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=1389028
> 8#comment-13890288]
>
> Gunther Hagleitner commented on TEZ-787:
> ----------------------------------------
>
> Not sure what Hike is, but Hive has the same issue (same stack trace).
> Hive itself depends on guava 11, but when I upgrade the dependency to
> 15.0 things are working - at least as far as unit tests go.
>
> > Guava conflicts with Hadoop 2.2.0
> > ---------------------------------
> >
> >                 Key: TEZ-787
> >                 URL: https://issues.apache.org/jira/browse/TEZ-787
> >             Project: Apache Tez
> >          Issue Type: Bug
> >    Affects Versions: 0.3.0
> >            Reporter: Cheolsoo Park
> >         Attachments: Logs for
> > container_1391144879454_0052_01_000001.html
> >
> >
> > After upgrading tez to the current HEAD, I found my jobs fail in my
> Hadoop 2.2 cluster with the following error-
> > {code}
> > 2014-01-31 20:59:31,123 FATAL [AsyncDispatcher event handler]
> org.apache.hadoop.yarn.event.AsyncDispatcher: Error in dispatcher
> thread
> > java.lang.NoSuchMethodError:
> com.google.common.collect.Range.closedOpen(Ljava/lang/Comparable;Ljava
> /lang/Comparable;)Lcom/google/common/collect/Range;
> >       at
> org.apache.tez.runtime.api.events.CompositeDataMovementEvent.getEvents
> (CompositeDataMovementEvent.java:87)
> >       at
> org.apache.tez.dag.app.dag.impl.Edge.handleCompositeDataMovementEvent(
> Edge.java:236)
> >       at
> org.apache.tez.dag.app.dag.impl.Edge.sendTezEventToDestinationTasks(Ed
> ge.java:248)
> >       at
> org.apache.tez.dag.app.dag.impl.VertexImpl$RouteEventTransition.transi
> tion(VertexImpl.java:2022)
> >       at
> org.apache.tez.dag.app.dag.impl.VertexImpl$RouteEventTransition.transi
> tion(VertexImpl.java:1976)
> >       at
> org.apache.hadoop.yarn.state.StateMachineFactory$SingleInternalArc.doT
> ransition(StateMachineFactory.java:362)
> >       at
> org.apache.hadoop.yarn.state.StateMachineFactory.doTransition(StateMac
> hineFactory.java:302)
> >       at
> org.apache.hadoop.yarn.state.StateMachineFactory.access$300(StateMachi
> neFactory.java:46)
> >       at
> org.apache.hadoop.yarn.state.StateMachineFactory$InternalStateMachine.
> doTransition(StateMachineFactory.java:448)
> >       at
> org.apache.tez.dag.app.dag.impl.VertexImpl.handle(VertexImpl.java:955)
> >       at
> org.apache.tez.dag.app.dag.impl.VertexImpl.handle(VertexImpl.java:143)
> >       at
> org.apache.tez.dag.app.DAGAppMaster$VertexEventDispatcher.handle(DAGAp
> pMaster.java:1354)
> >       at
> org.apache.tez.dag.app.DAGAppMaster$VertexEventDispatcher.handle(DAGAp
> pMaster.java:1340)
> >       at
> org.apache.hadoop.yarn.event.AsyncDispatcher.dispatch(AsyncDispatcher.
> java:134)
> >       at
> org.apache.hadoop.yarn.event.AsyncDispatcher$1.run(AsyncDispatcher.jav
> a:81)
> >       at java.lang.Thread.run(Thread.java:744)
> > {code}
> > I believe that TEZ-646 bumped guava version to 0.15, and that causes
> conflicts with the guava version that Hadoop 2.2 depends on. This is
> troublesome to me since I am planning to deploy tez on Hadoop 2.2
> cluster, so is it possible to avoid this conflict?
>
>
>
> --
> This message was sent by Atlassian JIRA
> (v6.1.5#6160)
>

-- 
CONFIDENTIALITY NOTICE
NOTICE: This message is intended for the use of the individual or entity to 
which it is addressed and may contain information that is confidential, 
privileged and exempt from disclosure under applicable law. If the reader 
of this message is not the intended recipient, you are hereby notified that 
any printing, copying, dissemination, distribution, disclosure or 
forwarding of this communication is strictly prohibited. If you have 
received this communication in error, please contact the sender immediately 
and delete it from your system. Thank You.

Mime
View raw message